'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _forEach = require('lodash/collection/forEach');

var _forEach2 = _interopRequireDefault(_forEach);

var _iterateJsdoc = require('./../iterateJsdoc');

var _iterateJsdoc2 = _interopRequireDefault(_iterateJsdoc);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _iterateJsdoc2.default)(function (_ref) {
    var jsdoc = _ref.jsdoc;
    var report = _ref.report;
    var utils = _ref.utils;

    (0, _forEach2.default)(jsdoc.tags, function (jsdocTag) {
        if (utils.isValidTag(jsdocTag.tag)) {
            var preferredTagName = undefined;

            preferredTagName = utils.getPreferredTagName(jsdocTag.tag);

            if (preferredTagName !== jsdocTag.tag) {
                report('Invalid JSDoc tag (preference). Replace "' + jsdocTag.tag + '" JSDoc tag with "' + preferredTagName + '".');
            }
        } else {
            report('Invalid JSDoc tag name "' + jsdocTag.tag + '".');
        }
    });
});
module.exports = exports['default'];
//# sourceMappingURL=checkTagNames.js.map
