'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _startsWith = require('lodash/string/startsWith');

var _startsWith2 = _interopRequireDefault(_startsWith);

var _forEach = require('lodash/collection/forEach');

var _forEach2 = _interopRequireDefault(_forEach);

var _filter = require('lodash/collection/filter');

var _filter2 = _interopRequireDefault(_filter);

var _iterateJsdoc = require('./../iterateJsdoc');

var _iterateJsdoc2 = _interopRequireDefault(_iterateJsdoc);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _iterateJsdoc2.default)(function (_ref) {
    var jsdoc = _ref.jsdoc;
    var report = _ref.report;

    var jsdocTags = undefined;

    jsdocTags = (0, _filter2.default)(jsdoc.tags, {
        tag: 'param'
    });

    (0, _forEach2.default)(jsdocTags, function (jsdocTag) {
        if (jsdocTag.description && !(0, _startsWith2.default)(jsdocTag.description, '-')) {
            report('There must be a hyphen before @param description.');
        }
    });
});
module.exports = exports['default'];
//# sourceMappingURL=requireHyphenBeforeDescription.js.map
