'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _forEach = require('lodash/collection/forEach');

var _forEach2 = _interopRequireDefault(_forEach);

var _filter = require('lodash/collection/filter');

var _filter2 = _interopRequireDefault(_filter);

var _iterateJsdoc = require('./../iterateJsdoc');

var _iterateJsdoc2 = _interopRequireDefault(_iterateJsdoc);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _iterateJsdoc2.default)(function (_ref) {
    var jsdoc = _ref.jsdoc;
    var report = _ref.report;
    var utils = _ref.utils;

    var jsdocParameters = undefined,
        targetTagName = undefined;

    targetTagName = utils.getPreferredTagName('param');

    jsdocParameters = (0, _filter2.default)(jsdoc.tags, {
        tag: targetTagName
    });

    (0, _forEach2.default)(jsdocParameters, function (jsdocParameter) {
        if (!jsdocParameter.description) {
            report('Missing JSDoc @' + targetTagName + ' "' + jsdocParameter.name + '" description.');
        }
    });
});
module.exports = exports['default'];
//# sourceMappingURL=requireParamDescription.js.map
